Other Classes: Class HTMLInputElementImpl

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLInputElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLInputElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.ElementTraversal, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, HTMLFormControl, org.w3c.dom.html.HTMLInputElement, org.w3c.dom.Node, org.w3c.dom.NodeList, java.io.Serializable, org.w3c.dom.TypeInfo

public class HTMLInputElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLInputElement, HTMLFormControl

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Revision: 1029415 $ $Date: 2010-10-31 13:02:22 -0400 (Sun, 31 Oct 2010) $
Author:
  Assaf Arkin
See Also:
  `HTMLInputElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`HTMLInputElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`void` | `blur()`
`void` | `click()`
`void` | `focus()`
`java.lang.String` | `getAccept()`
`java.lang.String` | `getAccessKey()`
`java.lang.String` | `getAlign()`
`java.lang.String` | `getAlt()`
`boolean` | `getChecked()`
`boolean` | `getDefaultChecked()`
`java.lang.String` | `getDefaultValue()`
`boolean` | `getDisabled()`
`int` | `getMaxLength()`
`java.lang.String` | `getName()`
`boolean` | `getReadOnly()` NON-DOM: Returns true if this node is read-only.
`java.lang.String` | `getSize()`
`java.lang.String` | `getSrc()`
`int` | `getTabIndex()`
`java.lang.String` | `getType()`
`java.lang.String` | `getUseMap()`
`java.lang.String` | `getValue()`
`void` | `select()`
`void` | `setAccept(java.lang.String accept)`
`void` | `setAccessKey(java.lang.String accessKey)`
`void` | `setAlign(java.lang.String align)`
`void` | `setAlt(java.lang.String alt)`
`void` | `setChecked(boolean checked)`
`void` | `setDefaultChecked(boolean defaultChecked)`
`void` | `setDefaultValue(java.lang.String defaultValue)`
`void` | `setDisabled(boolean disabled)`
`void` | `setMaxLength(int maxLength)`
`void` | `setName(java.lang.String name)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setSize(java.lang.String size)`
`void` | `setSrc(java.lang.String src)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setUseMap(java.lang.String useMap)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getBaseURI, getChildElementCount, getDefaultAttributes, getFirstElementChild, getLastElementChild, getNextElementSibling, getNodeName, getNodeType, getPreviousElementSibling, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, getXMLBaseAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLInputElement
`getForm`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLInputElementImpl

    public HTMLInputElementImpl(HTMLDocumentImpl owner,
                                java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getDefaultValue

    public java.lang.String getDefaultValue()

  Specified by:
    `getDefaultValue` in interface `org.w3c.dom.html.HTMLInputElement`

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

  Specified by:
    `setDefaultValue` in interface `org.w3c.dom.html.HTMLInputElement`

### getDefaultChecked

    public boolean getDefaultChecked()

  Specified by:
    `getDefaultChecked` in interface `org.w3c.dom.html.HTMLInputElement`

### setDefaultChecked

    public void setDefaultChecked(boolean defaultChecked)

  Specified by:
    `setDefaultChecked` in interface `org.w3c.dom.html.HTMLInputElement`

### getAccept

    public java.lang.String getAccept()

  Specified by:
    `getAccept` in interface `org.w3c.dom.html.HTMLInputElement`

### setAccept

    public void setAccept(java.lang.String accept)

  Specified by:
    `setAccept` in interface `org.w3c.dom.html.HTMLInputElement`

### getAccessKey

    public java.lang.String getAccessKey()

  Specified by:
    `getAccessKey` in interface `org.w3c.dom.html.HTMLInputElement`

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

  Specified by:
    `setAccessKey` in interface `org.w3c.dom.html.HTMLInputElement`

### getAlign

    public java.lang.String getAlign()

  Specified by:
    `getAlign` in interface `org.w3c.dom.html.HTMLInputElement`

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    `setAlign` in interface `org.w3c.dom.html.HTMLInputElement`

### getAlt

    public java.lang.String getAlt()

  Specified by:
    `getAlt` in interface `org.w3c.dom.html.HTMLInputElement`

### setAlt

    public void setAlt(java.lang.String alt)

  Specified by:
    `setAlt` in interface `org.w3c.dom.html.HTMLInputElement`

### getChecked

    public boolean getChecked()

  Specified by:
    `getChecked` in interface `org.w3c.dom.html.HTMLInputElement`

### setChecked

    public void setChecked(boolean checked)

  Specified by:
    `setChecked` in interface `org.w3c.dom.html.HTMLInputElement`

### getDisabled

    public boolean getDisabled()

  Specified by:
    `getDisabled` in interface `org.w3c.dom.html.HTMLInputElement`

### setDisabled

    public void setDisabled(boolean disabled)

  Specified by:
    `setDisabled` in interface `org.w3c.dom.html.HTMLInputElement`

### getMaxLength

    public int getMaxLength()

  Specified by:
    `getMaxLength` in interface `org.w3c.dom.html.HTMLInputElement`

### setMaxLength

    public void setMaxLength(int maxLength)

  Specified by:
    `setMaxLength` in interface `org.w3c.dom.html.HTMLInputElement`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.w3c.dom.html.HTMLInputElement`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `org.w3c.dom.html.HTMLInputElement`

### getReadOnly

    public boolean getReadOnly()

  Description copied from class: `org.apache.xerces.dom.NodeImpl`
  NON-DOM: Returns true if this node is read-only. This is a shallow check.
  Specified by:
    `getReadOnly` in interface `org.w3c.dom.html.HTMLInputElement`
  Overrides:
    `getReadOnly` in class `org.apache.xerces.dom.NodeImpl`

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Specified by:
    `setReadOnly` in interface `org.w3c.dom.html.HTMLInputElement`

### getSize

    public java.lang.String getSize()

  Specified by:
    `getSize` in interface `org.w3c.dom.html.HTMLInputElement`

### setSize

    public void setSize(java.lang.String size)

  Specified by:
    `setSize` in interface `org.w3c.dom.html.HTMLInputElement`

### getSrc

    public java.lang.String getSrc()

  Specified by:
    `getSrc` in interface `org.w3c.dom.html.HTMLInputElement`

### setSrc

    public void setSrc(java.lang.String src)

  Specified by:
    `setSrc` in interface `org.w3c.dom.html.HTMLInputElement`

### getTabIndex

    public int getTabIndex()

  Specified by:
    `getTabIndex` in interface `org.w3c.dom.html.HTMLInputElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    `setTabIndex` in interface `org.w3c.dom.html.HTMLInputElement`

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `org.w3c.dom.html.HTMLInputElement`

### getUseMap

    public java.lang.String getUseMap()

  Specified by:
    `getUseMap` in interface `org.w3c.dom.html.HTMLInputElement`

### setUseMap

    public void setUseMap(java.lang.String useMap)

  Specified by:
    `setUseMap` in interface `org.w3c.dom.html.HTMLInputElement`

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `org.w3c.dom.html.HTMLInputElement`

### setValue

    public void setValue(java.lang.String value)

  Specified by:
    `setValue` in interface `org.w3c.dom.html.HTMLInputElement`

### blur

    public void blur()

  Specified by:
    `blur` in interface `org.w3c.dom.html.HTMLInputElement`

### focus

    public void focus()

  Specified by:
    `focus` in interface `org.w3c.dom.html.HTMLInputElement`

### select

    public void select()

  Specified by:
    `select` in interface `org.w3c.dom.html.HTMLInputElement`

### click

    public void click()

  Specified by:
    `click` in interface `org.w3c.dom.html.HTMLInputElement`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.